supports.c File Reference
`#include "config.h"`
`#include <glib.h>`
`#include "quvi.h"`
`#include "_quvi_s.h"`
`#include "_quvi_media_s.h"`
`#include "_quvi_playlist_s.h"`
`#include "_quvi_subtitle_s.h"`
`#include "misc/match_playlist_script.h"`
`#include "misc/match_subtitle_script.h"`
`#include "misc/match_media_script.h"`

## Functions

QuviBoolean | quvi_supports (quvi_t handle, const char *url, QuviSupportsMode mode, QuviSupportsType type)
| Check whether the URL is supported.

## Function Documentation

## quvi_supports()

QuviBoolean quvi_supports | ( | quvi_t | handle,
|  | const char * | url,
|  | QuviSupportsMode | mode,
|  | QuviSupportsType | type )

Check whether the URL is supported.

Check if any of the scripts accepts the URL. Both offline and online checking is supported.

Note
  - Offline check will fail with most sh_url
  - Online check will resolve sh_url

Type may be a combination.

quvi_supports(q, URL, QUVI_SUPPORTS_OFFLINE,
QUVI_SUPPORTS_TYPE_PLAYLIST | QUVI_SUPPORTS_TYPE_MEDIA);
quvi_supports
QuviBoolean quvi_supports(quvi_t handle, const char *url, QuviSupportsMode mode, QuviSupportsType type)
Check whether the URL is supported.
Definition supports.c:108